package de.tudarmstadt.informatik.hostage.render;

import de.tudarmstadt.informatik.hostage.R;
import de.tudarmstadt.informatik.hostage.ui.MainActivity;

public class ViewLogRenderer {
	
	public static String render(String protocol, String packet) {		
		return getRenderer(protocol).render(packet);
	}
	
	private static ProtocolRenderer getRenderer(String protocol) {
		String[] protocols = MainActivity.getContext().getResources().getStringArray(R.array.protocols);
		String packageName = ProtocolRenderer.class.getPackage().getName();
		ProtocolRenderer renderer = new DefaultRenderer();

		for (String prot : protocols) {
			try {
				if(protocol.equals(prot)) renderer = (ProtocolRenderer) Class.forName(
						String.format("%s.%s", packageName, protocol+"Renderer"))
						.newInstance();
			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return renderer;
	}

}
